How to add link to a button in Angular Button

25 Sep 20261 minute to read

Link can be added to the Angular Button by adding e-link using cssClass property and <a> tag with href attribute should be added inside the button element.

The following example illustrates how to add link to a Angular Button.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { enableRipple } from '@syncfusion/ej2-base'



import { Component } from '@angular/core';

@Component({
imports: [
        
        ButtonModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                    <!-- To render Button. -->
                    <button ejs-button cssClass='e-link'><a href="https://www.google.com/" target='_blank'>Go to google</a></button>
                </div>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to add link to a button in Vue Button

20 Aug 20262 minutes to read

The appearance of the Button can be changed like a link by e-link class using cssClass property and link navigation can be handled in Button click.

In the following example, link is added in Button click by using window.open() method.

<template>
<ejs-button cssClass='e-link' v-on:click='btnClick'>Button</ejs-button>
</template>
<script setup>
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
const btnClick = function(event) {
    window.open("https://www.google.com");
    }
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
button {
  margin: 25px 5px 20px 20px;
}
</style>
<template>
<ejs-button cssClass='e-link' v-on:click='btnClick'>Button</ejs-button>
</template>
<script>
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
export default {
name: "App",
components: {
"ejs-button":ButtonComponent
},
    methods : {
        btnClick: function(event) {
            window.open("https://www.google.com");
        }
    }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
button {
  margin: 25px 5px 20px 20px;
}
</style>

How to add link to a React Button in React React Button

03 Sep 20262 minutes to read

The React Button can be styled to appear as a link by using the e-link class through the cssClass property. Link navigation is handled in the React Button’s click event using window.open() method.

The following example demonstrates how to add navigation functionality to a React Button:

import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
function App() {
    // Click Event.
    function btnClick() {
        window.open("https://www.google.com");
    }
    return (<div>
            <ButtonComponent cssClass='e-link' onClick={btnClick}>Go to google</ButtonComponent>
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

function App() {
    // Click Event.
    function btnClick (): void {
      window.open("https://www.google.com");
    }
    return (
        <div>
            <ButtonComponent cssClass='e-link' onClick={btnClick}>Go to google</ButtonComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('button'));